/* roadmap_main.h - The interface for the RoadMap main window module.
 *
 * Copyright 2008 Charles Werbick
 * This file is part of Roadmap for Maemo (among others, see below ;-)
 *
 * LICENSE:
 *
 *   Copyright 2002 Pascal F. Martin
 *
 *   This file is part of RoadMap.
 *
 *   RoadMap is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   RoadMap is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with RoadMap; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef INCLUDE__GETMAPS_OSM_MAIN__H
#define INCLUDE__GETMAPS_OSM_MAIN__H

#include "roadmap.h"
#include "roadmap_io.h"


typedef void (* RoadMapInput)    (RoadMapIO *io);

void getmaps_osm_main_set_input    (RoadMapIO *io, RoadMapInput callback);
void getmaps_osm_main_remove_input (RoadMapIO *io);

void getmaps_osm_main_set_periodic (int interval, RoadMapCallback callback);
void getmaps_osm_main_remove_periodic (RoadMapCallback callback);

#endif /* INCLUDE__GETMAPS_OSM_MAIN__H */
