/* roadmap_navigate.h - basic navigation engine.
 *
 * Copyright 2008 Charles Werbick
 * This file is part of Roadmap for Maemo (among others, see below ;-)
 *
 * LICENSE:
 *
 *   Copyright 2002 Pascal F. Martin
 *
 *   This file is part of RoadMap.
 *
 *   RoadMap is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   RoadMap is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with RoadMap; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef INCLUDED__ROADMAP_NAVIGATE__H
#define INCLUDED__ROADMAP_NAVIGATE__H

#include "roadmap_gps.h"
#include "roadmap_plugin.h"

void roadmap_navigate_disable (void);
void roadmap_navigate_enable  (void);

int roadmap_navigate_retrieve_line (const RoadMapArea *focus,
                                    const RoadMapPosition *position,
                                    PluginLine *line,
                                    int *distance);

void roadmap_navigate_locate (const RoadMapGpsPosition *gps_position);

void roadmap_navigate_initialize (void);

#endif // INCLUDED__ROADMAP_NAVIGATE__H
